Open App

Daily Notes

API endpoints for daily notes

List daily notes

GET /api/v1/daily_notes

Parameters

NameInTypeRequiredDescription
datesqueryarrayNoArray of YYYY-MM-DD dates

Example request

curl -X GET \
"https://api.usemonoid.com/api/v1/daily_notes?dates=<dates>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "string",
      "userId": "string",
      "date": "string",
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Other statuses: 401, 403.

Response body type

{ data: DailyNote[] }


Create daily note

POST /api/v1/daily_notes

Example request

curl -X POST \
"https://api.usemonoid.com/api/v1/daily_notes" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"date":"2025-01-15","content":"..."}'

Example response

Status: 201

{
  "data": {
    "_id": "string",
    "userId": "string",
    "date": "string",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Other statuses: 400, 401, 403, 500.

Response body type

{ data: DailyNote }


Get daily note by date

GET /api/v1/daily_notes/{date}

Parameters

NameInTypeRequiredDescription
datepathstringYesPath parameter.

Example request

curl -X GET \
"https://api.usemonoid.com/api/v1/daily_notes/<date>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "userId": "string",
    "date": "string",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: DailyNote }


Update daily note

PATCH /api/v1/daily_notes/{date}

Parameters

NameInTypeRequiredDescription
datepathstringYesPath parameter.

Example request

curl -X PATCH \
"https://api.usemonoid.com/api/v1/daily_notes/<date>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{}'

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "userId": "string",
    "date": "string",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Other statuses: 400, 401, 403, 404, 500.

Response body type

{ data: DailyNote }


Delete daily note

DELETE /api/v1/daily_notes/{date}

Parameters

NameInTypeRequiredDescription
datepathstringYesPath parameter.

Example request

curl -X DELETE \
"https://api.usemonoid.com/api/v1/daily_notes/<date>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401, 403, 404, 500.

Response body type